petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetConvergedReason

Gets the reason the SNES iteration was stopped.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetConvergedReason(SNES snes,SNESConvergedReason *reason)

Not Collective Many br

### Input Parameter

snes -the SNES context Many br

### Output Parameter

reason -negative value indicates diverged, positive value converged, see SNESConvergedReason or the Many brmanual pages for the individual convergence tests for complete lists Many br

Many br

Notes: Can only be called after the call the SNESSolve() is complete. Many br

### Keywords

SNES, nonlinear, set, convergence, test

### See Also

SNESSetConvergenceTest(), SNESSetConvergedReason(), SNESConvergedReason

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex42.c.html
src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html